Update auf 6.1.0-rc2 und weg war der Shop

Update von 6.1.0 rc1 auf 6.1.0-rc2 und weg war der Shop:

Error
Received the following error message:
An exception occurred while executing 'DELETE FROM `document_type` WHERE `id` = ?' with params ["\x3a\xc4\xe0\xd5\x28\xb7\x4b\xae\x90\x79\x31\x63\xee\xa2\xee\x06"]: SQLSTATE[23000]: Integrity constraint violation: 1451 Cannot delete or update a parent row: a foreign key constraint fails (`dev_sw6`.`document`, CONSTRAINT `fk.document.document_type_id` FOREIGN KEY (`document_type_id`) REFERENCES `document_type` (`id`) ON UPDATE CASCADE)

Please try to fix this error and restart the update.
Response

{"valid":false,"errorMsg":"An exception occurred while executing 'DELETE FROM `document_type`\n WHERE `id` = ?' with params [\"\\x3a\\xc4\\xe0\\xd5\\x28\\xb7\\x4b\\xae\\x90\\x79\\x31\\x63\\xee\\xa2\\xee\\x06\"]:\n\nSQLSTATE[23000]: Integrity constraint violation: 1451 Cannot delete or update a parent row: a foreign key constraint fails (`dev_sw6`.`document`, CONSTRAINT `fk.document.document_type_id` FOREIGN KEY (`document_type_id`) REFERENCES `document_type` (`id`) ON UPDATE CASCADE)"}

 

Meinst du RC2 oder RC1?

Und von welcher Version zu welcher neuen Version?

Habe mich verschrieben, Update von 6.1.0 rc1 auf 6.1.0-rc2

[Nachtrag]

Noch ein Folgefehler:

Error
Received an error message.
URL: unpack?offset=0&total=0
Message: Internal Server Error

Please try to fix this error and restart the update.
Response

{"code":0,"message":"The file files\/backup\/auto_update\/dummy already exists and can not be overwritten.",
"file":"\/var\/...\/vendor\/shopware\/recovery\/Common\/vendor\/knplabs\/gaufrette\/src\/Gaufrette\/Filesystem.php","line":100,

 

den Fehler bekommt man afaik immer, wenn man nach fehlgeschlagenem Update das Update erneut anstoßen möchte. 
Vermutlich müsste man erst wieder ein Pre-Update-Backup einspielen, damit das überhaupt funktionieren kann.

Wo sehe ich denn überhaupt die SQL-Install Datei bei der RC2 Installation?

@R4M schrieb:

Habe mich verschrieben, Update von 6.1.0 rc1 auf 6.1.0-rc2

[Nachtrag]

Noch ein Folgefehler:

Error
Received an error message.
URL: unpack?offset=0&total=0
Message: Internal Server Error

Please try to fix this error and restart the update.
Response

{„code“:0,„message“:„The file files/backup/auto_update/dummy already exists and can not be overwritten.“,
„file“:"/var/…/vendor/shopware/recovery/Common/vendor/knplabs/gaufrette/src/Gaufrette/Filesystem.php",„line“:100,

 

Der Fehler entseht, weil die dummy Datei noch in dem angegebenen Pfad vorhanden ist. Die muss vor erneutem Versuch gelöscht werden 

Ja ja, das dachte ich mir schon - wollte es nur mit erwähnen :slight_smile:

Aber noch mal die Frage: Wo sehe ich denn überhaupt die SQL-Install Datei bei der neuen RC2 Installation? Wo liegt die?

 

Ja ich hab mir dann selber geholfen:

Die 6.1.0 rc1 noch einmal neu installiert und dann ein Update auf 6.1.0 rc2 gemacht - das hat zumindest funktioniert. Bei meinen Tests hatte ich jedoch mit der 6.0.0 EA1 angefangen und immer strittweise geupdatet. Nun ja, beim Update dann auf 6.1.0-rc2 kam dann die Fehlermeldung siehe ganz oben. Da scheint also etwas nicht zu stimmen.

Unabhängig davon stellt sich immer noch die Frage, woher der SQL-Install kommt. Wird das vom Shopware-Server geholt? Warum gibt es hierzu keine Antwort? Ist das Top-Secret?

1 Like